/* (C) 2002 by Artem Dmytrenko

   Permission is given to anyone affiliated with 
   ICFP Programming Contest to publish some or all 
   of the source herein in any way shape or form
*/

#ifndef GAME_SOCKETS_H_INCLUDED
#define GAME_SOCKETS_H_INCLUDED

#include <sys/socket.h>
#include <netinet/in.h>
#include <unistd.h>
#include <netdb.h>

#include "main.h"

int connect_to_game_server(char *hostname, int port);
char *read_line();
int write_line(char *buf);
void disconnect_from_game_server();
void clean_up_read_buffer();

#endif
